<?php
/**
 * Shippit Pty Ltd
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the terms
 * that is available through the world-wide-web at this URL:
 * http://www.shippit.com/terms
 *
 * @category   Shippit
 * @copyright  Copyright (c) by Shippit Pty Ltd (http://www.shippit.com)
 * @author     Matthew Muscat <matthew@mamis.com.au>
 * @license    http://www.shippit.com/terms
 */

namespace Shippit\Shipping\Model\Config\Source\Shippit\Sync\Order;

class Mode implements \Magento\Framework\Data\OptionSourceInterface
{
    const REALTIME  = 'realtime';
    const SCHEDULED = 'cron';
    const CUSTOM    = 'custom';

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        $optionsArray = [
            [
                'label' => 'Realtime',
                'value' => self::REALTIME,
            ],
            [
                'label' => 'Scheduled',
                'value' => self::SCHEDULED,
            ],
            [
                'label' => 'Custom',
                'value' => self::CUSTOM,
            ],
        ];

        return $optionsArray;
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        $optionsArray = [
            self::REALTIME => 'Realtime',
            self::SCHEDULED => 'Scheduled',
            self::CUSTOM => 'Custom',
        ];

        return $optionsArray;
    }
}
